> ## Documentation Index
> Fetch the complete documentation index at: https://docs.insforge.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get active OpenRouter API key

> Returns the active OpenRouter API key details for admin copy workflows.



## OpenAPI

````yaml https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/ai.yaml get /api/ai/openrouter/api-key
openapi: 3.0.3
info:
  title: Insforge AI API
  version: 1.0.0
  description: >-
    Model Gateway helper APIs for OpenRouter key provisioning, model discovery,
    and deprecated compatibility proxy routes
servers: []
security: []
paths:
  /api/ai/openrouter/api-key:
    get:
      tags:
        - Admin
      summary: Get active OpenRouter API key
      description: Returns the active OpenRouter API key details for admin copy workflows.
      responses:
        '200':
          description: Active OpenRouter API key details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OpenRouterKeyResponse'
        '400':
          description: Missing OpenRouter API key
        '401':
          description: Unauthorized
        '500':
          description: Failed to fetch API key details
      security:
        - bearerAuth: []
components:
  schemas:
    OpenRouterKeyResponse:
      type: object
      properties:
        apiKey:
          type: string
          description: Active OpenRouter API key for admin copy workflows
        maskedKey:
          type: string
          description: Masked OpenRouter API key for display
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````